#!/bin/sh
# @(#) $Id: gcc-version.sh 47 2017-11-29 03:55:32Z leres $ (XSE)
#
# Report avr-gcc version
#

prog="`basename $0`"

PATH=/usr/local/bin:${PATH}
export PATH

gcc=avr-gcc
if [ $# -gt 0 ]; then
	gcc="$1"
	shift
fi

if [ $# -ne 0 ]; then
	echo "usage: ${prog} [gcc]" 1>&2
	exit 1
fi

${gcc} --version | fmt -1 | egrep '^[0-9]+\.[0-9]+\.[0-9]+$'
if [ $? -ne 0 ]; then
	echo "${prog}: Can't determine version for ${gcc}" 1>&2
	exit 1
fi
exit 0
